> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# Open a wallet address

POST https://public-api.alphax.com/v1/wallets/{walletId}/addresses
Content-Type: application/json

Opens a deposit address on a chain for the wallet. Idempotent: if an
address already exists on that chain it is returned. `chain` is optional
and defaults per currency.


Reference: https://docs.alphax.asia/api-reference/card-api/wallets/open-wallet-address

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Path parameters

- `walletId` (string, required)

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

### Body (application/json)

- `chain` (enum, optional) — Blockchain network. Valid values depend on the wallet currency.
  - Allowed values: `TRX`, `ETH`, `BNB`, `AVAX`, `SOL`, `ARB`, `OP`, `TON`, `MATIC`

## Response

### 200

Existing address returned

- `address` (object, optional)
  - `address` (string, optional)
  - `chain` (string, optional)

### 201

New address opened

- `address` (object, optional)
  - `address` (string, optional)
  - `chain` (string, optional)

## Examples

### Example 1

**Request**

```json
{}
```

**Response**

```json
{
  "address": {
    "address": "9.147919963142388e+47",
    "chain": "ETH"
  }
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/wallets/walletId/addresses"

payload = {}
headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/wallets/walletId/addresses';
const options = {
  method: 'POST',
  headers: {
    'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/wallets/walletId/addresses"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/wallets/walletId/addresses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/v1/wallets/walletId/addresses")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/v1/wallets/walletId/addresses', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/wallets/walletId/addresses");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/wallets/walletId/addresses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
{}
```

**Response**

```json
{
  "address": {
    "address": "9.147919963142388e+47",
    "chain": "ETH"
  }
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/wallets/walletId/addresses"

payload = {}
headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/wallets/walletId/addresses';
const options = {
  method: 'POST',
  headers: {
    'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/wallets/walletId/addresses"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/wallets/walletId/addresses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/v1/wallets/walletId/addresses")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/v1/wallets/walletId/addresses', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/wallets/walletId/addresses");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/wallets/walletId/addresses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```